Bug 448495 - (CVE-2008-1672) CVE-2008-1672 openssl: Omit Server Key Exchange message crash
CVE-2008-1672 openssl: Omit Server Key Exchange message crash
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=vendor-sec,reported=20080526,p...
: Security
Depends On: 448690 448691 482112 530522
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 05:36 EDT by Tomas Hoger
Modified: 2009-10-23 05:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 15:06:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (1.52 KB, patch)
2008-05-27 05:36 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2008-05-27 05:36:21 EDT
CERT/FI identified following issue affecting OpenSSL:

Testing using the Codenomicon TLS test suite discovered a flaw if the
'Server Key exchange message' is omitted from a TLS handshake in
OpenSSL 0.9.8f and OpenSSL 0.9.8g.  If a client connects to a
malicious server with particular cipher suites, the server could cause
the client to crash.  (CVE-2008-1672).

Please note this issue does not affect any other released versions of
OpenSSL.
Comment 1 Tomas Hoger 2008-05-27 05:36:47 EDT
Created attachment 306751 [details]
Upstream patch
Comment 2 Tomas Hoger 2008-05-27 05:37:26 EDT
This issue does not affect openssl packages as shipped in Red Hat Enterprise
Linux 2.1, 3, 4 and 5, and Fedora 7 and 8.  Only upstream versions 0.9.8f and
0.9.8g were affected, currently only shipped in Fedora 9 and Rawhide.
Comment 4 Tomas Hoger 2008-05-28 05:16:40 EDT
Public now, lifting embargo:

  http://openssl.org/news/secadv_20080528.txt
Comment 6 Tomas Hoger 2008-05-28 07:15:50 EDT
CERT-FI advisory:

  https://www.cert.fi/haavoittuvuudet/2008/advisory-openssl.html
Comment 7 Fedora Update System 2008-05-28 17:53:35 EDT
openssl-0.9.8g-9.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-05-30 22:13:39 EDT
openssl-0.9.8g-9.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Red Hat Product Security 2008-06-04 15:06:16 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-4723


Note You need to log in before you can comment on or make changes to this bug.